Package org.eclipse.m2m.atl.emftvm.impl

## Class RuleImpl.IsNotDistinctState

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.DistinctState
  - - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.IsNotDistinctState

Enclosing class:
  RuleImpl

    protected class RuleImpl.IsNotDistinctState
    extends RuleImpl.DistinctState

`RuleImpl.DistinctState` class for rules for which `Rule.isDistinctElements()` is set to `false`.

### Constructor Summary

Constructors
`protected` `IsNotDistinctState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `checkDistinct​(java.lang.Object[] values, int index, java.lang.Object value)` Checks if

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IsNotDistinctState

    protected IsNotDistinctState()

### Method Detail

#### checkDistinct

    public boolean checkDistinct​(java.lang.Object[] values,
                                 int index,
                                 java.lang.Object value)

Checks if

    values

are distict, if so required by the rule.

Specified by:
  `checkDistinct` in class `RuleImpl.DistinctState`
Parameters:
  `values` - the currently collected values
  `index` - the index up to which to check the `values`
  `value` - the value to check against `values`
Returns:
  `true` iff `value` is ok